/* Sticky footer styles
-------------------------------------------------- */

html {
  position: relative;
  min-height: 100%;
}

body {
  /* Margin bottom by footer height */
}

.footer {
  position: relative;
  bottom: 0;
  width: 100%;
  /* Set the fixed height of the footer here */
  /*  height: 60px;*/
  line-height: 60px;
  /* Vertically center the text there */
  /*  background-color: #f5f5f5;*/
}

/* Custom page CSS
-------------------------------------------------- */

/* Not required for template or sticky footer method. */

body > .container {
  padding: 60px 10px 0px;
}

.footer > .container {
  padding-right: 15px;
  padding-left: 15px;
}

code {
  font-size: 80%;
}

nav li {
  margin-right: 10px;
  border: 0;
}

nav li:last-child {
  margin-right: 0;
}


.icon {
  width: 16px;
}

.icon-hover:hover {
  color: #00897b;
}

.navbar-nav li {
  border: 0;
}

nav a.nav-link {
  border: none;
}

.footer {
  background: #ffffff;
  text-align: center;
  padding: 20px;
}

.dropdown-item a {
  color: #212529 !important;
}

.navigation-top {
  padding: 0.3rem 0 !important;
}

.navigation-top ul li {
  list-style: none;
  float: left;
}

.navigation-top ul li a {
  color: #ffffff;
  text-decoration: none;
}

.navigation-top ul li a:focus {
  border: none !important;
}

.navigation-top ul li img.restaurant-image {
  width: auto;
  border-radius: 4px;
}

img.user-image {
  vertical-align: middle;
  border-radius: 50%;
  width: 35px;
  height: 35px;
}

.navigation-top ul li img:focus {
  border: none !important;
}

.shop-img {
  padding: 0;
  border: none;
  background: none;
}

.shop-img {
  padding: 0;
  border: none;
  background: none;
}

.navbar-dark {
  background-color: #00897b;
  /*#767bbb*/
  /*padding:  0 !important;*/
}

.switch-module .card:hover {
  -moz-box-shadow: 0 0 2px 1px #00897b;
  -webkit-box-shadow: 0 0 2px 1px #00897b;
  box-shadow: 0 0 2px 1px #00897b;
}

.switch-module .card {
  border-radius: 10px;
  width: 25rem;
}

.text-black-grey {
  color: #424242 !important;
}

.navigation .card ul li {
  padding: 5px 0;
}

.font-below-medium {
  font-size: 1.2rem;
}

.fixed-description p {
  height: 63px;
}

.card-fixed-value {
  height: 56px;
}

.custom-control {
  border-radius: 0px;
}

input.custom-control[type="text"],
input.custom-control[type="email"],
input.custom-control[type="password"],
select,
textarea {
  border: none;
  border-bottom: 1px solid #4caf50;
  z-index: 0 !important;
}

input.custom-control[placeholder] {
  padding: 0.375rem 0;
}

.custom-control:focus {
  box-shadow: none;
}

/* For Placeholder Transition */

label.for-placeholder-transition {
  margin: 20px 0;
  position: relative;
  display: block;
}

span.for-placeholder-transition {
  padding: 10px;
  pointer-events: none;
  position: absolute;
  left: -10px;
  transition: 0.2s;
  transition-timing-function: ease;
  transition-timing-function: cubic-bezier(0.25, 0.1, 0.25, 1);
  opacity: 0.5;
  bottom: 0px;
}

input.for-placeholder-transition {
  padding: 10px;
}

input.custom-form-control {
  border-bottom: 1px solid red;
}

@media (min-width: 320px) and (max-width: 576px) {
  .dropdown-menu-default {
    left: -240% !important;
  }
  .footer {
    padding: 19px;
    line-height: 21px;
    padding-top: 20px;
  }
  #drawer {
    width: 300px !important;
    right: 10px !important;
  }
}

@media (max-width: 576px) {
  #drawer {
    width: 305px !important;
    right: 10px !important;
  }
  .username-break{
    word-break: break-all !important;
  }
}

/* Navigational Drawer */

#drawer {
  height: auto;
  width: 360px;
  background: #ffffff;
  border-radius: 5px;
  position: absolute;
  display: none;
  right: 14px;
  top: 48px;
  box-shadow: 0 5px 5px 0 #00897b36;
  z-index: 2;
}

.restaurant-title-section {
  padding: 5px;
}

p.restaurant-title {
  text-align: center;
  padding: 5px;
  background: #f6fbff;
  color: #00897b;
  border-radius: 4px;
}

.drawer-content-section {
  padding: 1.25%;
}

.drawer-header {
  text-align: center;
}

.drawer-header img {
  width: 75% !important;
  border: 1px solid #ffffff;
  border-radius: 5px;
  text-align: center;
  /* height: 95px; */
}

.drawer-info p {
  font-size: 0.9rem;
  color: #00897b;
  text-align: center;
  margin: 0px;
}

.drawer-message {
  text-align: center;
  line-height: 18px;
}

.drawer-message p {
  font-size: 0.75rem;
  color: #555;
  text-align: center;
  margin: 2px;
}

.trial-button {
  display: inline-block;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  border: 1px solid transparent;
  font-size: 1rem;
  padding: 0px 8px 0px 8px;
  font-size: 0.7rem;
  border-radius: 0.2rem;
  color: #ffffff;
  background: #00c851;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
    border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.drawer-link {
  color: #555;
}

.drawer-link ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

.drawer-link ul li {
  font-size: 1rem;
  padding: 10px 15px;
  border-top: 1px solid rgba(0, 0, 0, 0.07);
  cursor: pointer;
  float: none !important;
  white-space: nowrap;
  overflow-x: hidden;
  text-overflow: ellipsis;
}

.text-ellipsis {
  width: 208px;
  white-space: nowrap;
  overflow-x: hidden;
  text-overflow: ellipsis;
}

.drawer-link ul li.selected-shop {
  background-color: steelblue;
  color: white;
}

.drawer-link ul li:first-child {
  border-top: none;
}

.drawer-link ul li:hover {
  background: #f6fbff;
}

.drawer-link ul li i {
  color: #9c9c9c;
}

.line {
  background-color: rgba(0, 0, 0, 0.07);
  height: 1px;
  clear: both;
  margin: 0% auto;
  width: 100%;
}

.btn-manage-account {
  padding: 3px 15px !important;
  border-radius: 5px 0px 0px 5px;
  border:0;
  color: #555555;
  font-size: 14px;
}

.btn-plan {
  padding: 3px 15px !important;
  border-radius: 0px 5px 5px 0px;
  border:0;
  color: #555555;
  font-size: 14px;
}

.btn-log-out {
  border: 1px solid #e3e3e3;
  padding: 6px 18px !important;
  font-size: 14px;
  color: #555555;
  margin: 14px 0px 10px 0px;
}

.custom-icon {
  width: 24px;
  height: 20px;
  fill: #9c9c9c;
  stroke: #9c9c9c;
}

.custom-icon-hub {
  width: 23px;
  height: 23px;
}

.kitchen-icon {
  stroke: #555;
}

.navbar-light .navbar-nav .active > .nav-link svg.custom-icon {
  fill: #00897b;
  stroke: #00897b;
}

.custom-icon:hover {
  stroke: #00897b !important;
}

.non-hover-custom-icon {
  width: 24px;
  height: auto;
  fill: #9c9c9c;
}

.shop-name {
  line-height: 2;
  margin-top: 8px;
  margin-bottom: 0;
  font-size: 0.75rem;
  color: #ffffff;
}

.drawer-hover a img {
  height: 35px;
  border: 1px solid transparent;
}

.drawer-hover {
  /* background:#00a292; */
  background: #ffffff;
  min-width: 50px;
  padding: 3px;
  cursor: pointer;
  border-radius: 5px;
}

.drawer-hover:hover {
  background: #f6fbff;
  /* box-shadow: 0px 0px 10px #4d5252; */
}

#moduleSwitchingDrawer {
  height: auto;
  padding: 1%;
  width: 350px;
  background: #ffffff;
  border-radius: 5px;
  position: absolute;
  display: none;
  top: 45px;
  box-shadow: 0 5px 5px 0 #00897b36;
  z-index: 2;
}

.module-drawer-link {
  color: #555;
}

.module-drawer-link p {
  padding: 15px 5px;
  font-size: 1.2rem;
  margin-bottom: 0;
}

.module-drawer-link a {
  font-size: 0.9rem;
  padding: 15px 5px;
  color: #555;
  float: none !important;
}

.module-drawer-link a:hover {
  background: #f6fbff;
  color: #555;
}

.block-icon {
  height: 36px;
  width: 36px;
  border-radius: 8px;
}

#moduleSwitching {
  height: 40px;
  width: 40px;
  border-radius: 60%;
  cursor: pointer;
}

#moduleSwitching:hover {
  box-shadow: 0px 0px 12px #38bbaf;
}

.module-switch {
  height: 19.76px;
  width: 19.76px;
  top: -1px;
  stroke: #ffffff;
  position: relative;
}

.chain-list{
  display: flex;
  align-items: center;
  padding: 11px 18px; 
  width: 100%; 
  border-bottom: 1px solid #eeeeee;
  cursor: pointer; 
  background-position: center;
}
.chain-list:hover{
  background-color: #F6FBFF !important;
}

.drawer-header-bottom{
  display: flex;
  align-items: center;
  background: #ffffff;
  padding: 0 8px;
}
.drawer-header-bottom  .btn-manage-account {
  padding: 3px 15px !important;
  border-radius: 3px;
  border-color: #e3e3e3;
  color: #555555;
  font-size: 14px;
}
.drawer-header-bottom-button{
  display: flex;
  align-items: center;
  padding: 6px;
  cursor: pointer;
}
.drawer-header-bottom-button:hover{
  background: #eeeeee;
  border-radius: 5px;
}
.drawer-header-bottom-button span{
  font-size: 15px;
  color: #555555;
  margin-left: 5px;
  cursor: pointer;
}
